# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.17)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget Aspose::BuildSettings Aspose::PorterInterface Aspose::CodePorting.Native.Cs2Cpp)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Create imported target Aspose::BuildSettings
add_library(Aspose::BuildSettings INTERFACE IMPORTED)

set_target_properties(Aspose::BuildSettings PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<CONFIG:Debug>:DEBUG;_DEBUG>"
)

# Create imported target Aspose::PorterInterface
add_library(Aspose::PorterInterface STATIC IMPORTED)

set_target_properties(Aspose::PorterInterface PROPERTIES
  INTERFACE_LINK_LIBRARIES "Aspose::CodePorting.Native.Cs2Cpp"
)

# Create imported target Aspose::CodePorting.Native.Cs2Cpp
add_library(Aspose::CodePorting.Native.Cs2Cpp SHARED IMPORTED)

set_target_properties(Aspose::CodePorting.Native.Cs2Cpp PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${ASPOSE_ROOT}/include"
  INTERFACE_LINK_LIBRARIES "Aspose::BuildSettings"
)

# Import target "Aspose::PorterInterface" for configuration "Debug"
set_property(TARGET Aspose::PorterInterface APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
set_target_properties(Aspose::PorterInterface PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_DEBUG "CXX"
  IMPORTED_LOCATION_DEBUG "${ASPOSE_ROOT}/lib/libaspose_porterinterface_gcc6d.a"
  )

# Import target "Aspose::CodePorting.Native.Cs2Cpp" for configuration "Debug"
set_property(TARGET Aspose::CodePorting.Native.Cs2Cpp APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
set_target_properties(Aspose::CodePorting.Native.Cs2Cpp PROPERTIES
  IMPORTED_LOCATION_DEBUG "${ASPOSE_ROOT}/lib/libaspose_cpp_gcc6d.so"
  IMPORTED_SONAME_DEBUG "libaspose_cpp_gcc6d.so"
  )

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
